### Hierarchy

- RouteConfig
  - RouteConfigWithResolveSubRoutes

### Indexable

[key: string]: any

## Index

### Properties

- exact
- name
- navigationOptions
- navigator
- path
- screen

## Properties

### Optional exact

exact: undefined | false | true

Inherited from RouteConfigWithResolveSubRoutes.exact

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:38

Should route match exact path pattern?

### name

name: string

Inherited from RouteConfigWithResolveSubRoutes.name

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:32

Name of route

### Optional navigationOptions

navigationOptions: MaybeThunk<NavigationOptions>

Inherited from RouteConfigWithResolveSubRoutes.navigationOptions

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:40

Navigation options

### Optional navigator

navigator: NavigatorPropsWithResolvedRoutes

Overrides RouteConfig.navigator

- Defined in src/types.ts:14

### path

path: string

Inherited from RouteConfigWithResolveSubRoutes.path

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:36

URL

### Optional screen

screen: React.ComponentType<any> | string

Inherited from RouteConfigWithResolveSubRoutes.screen

- Defined in node_modules/@bluebase/components/dist/components/Navigation.d.ts:34

Screen component

Generated using TypeDoc